## NAME

r.support - Allows creation and/or modification of raster map layer support files.

## KEYWORDS

raster

## SYNOPSIS

r.support
r.support help
r.support map=name [title="phrase"] [history="phrase"]

### Parameters:

map=name
  Name of input raster map
title="phrase"
  Text to use for new map title
history="phrase"
  Text to append to the next line of the map's metadata file

## DESCRIPTION

r.support allows the user to create and/or edit raster map support information. Editing of raster map color tables, category labels, header, history, and title is supported.

## NOTES

If the title or history options are given the module will run non-interactively. If only the map name is given r.support will run interactively within a terminal shell and the user with be prompted for input.

Map metadata information is stored in a "hist" file which may be appended to by using the history option. Currently this is limited to 50 lines of text with a maximum line length of 78 characters. Any input larger than this will be truncated.

## SEE ALSO

r.describe, r.info, r.null, r.region, r.report, r.timestamp

## AUTHORS

Micharl Shapiro, CERL: Original author
Brad Douglas: GRASS 6 Port
M. Hamish Bowman: command line enhancements

Last changed: $Date: 2006/03/27 09:38:46 $

Main index - raster index - Full index